Name:           perl-Debug-Client
Version:        0.24
Release:        1%{?dist}
Summary:        Client side code for perl debugger
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Debug-Client/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOWTIE/Debug-Client-%{version}.tar.gz
# Tests fail with Term::ReadLine::Perl
Patch0:         Debug-Client-0.24-Do-not-use-Term-ReadLine-Perl.patch
# perl debugger does not support IPv6 yet, RT#116433
Patch1:         Debug-Client-0.24-Use-IPv4-localhost.patch
BuildArch:      noarch
BuildRequires:  perl(inc::Module::Install::DSL) >= 1.0
# Run-time:
BuildRequires:  perl(Carp) >= 1.20
BuildRequires:  perl(constant)
BuildRequires:  perl(English)
BuildRequires:  perl(IO::Socket::IP) >= 0.18
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(File::HomeDir) >= 1.00
BuildRequires:  perl(File::Spec) >= 3.33
BuildRequires:  perl(File::Temp) >= 0.22
BuildRequires:  perl(lib)
BuildRequires:  perl(PadWalker) >= 1.96
## Tests fail with perl(Term::ReadLine::Perl) = 1.0303. It's not needed.
BuildRequires:  perl(Test::Class) >= 0.38
BuildRequires:  perl(Test::Deep) >= 0.110
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Time::HiRes) >= 1.9725
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1.45
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) >= 1.20
Requires:       perl(IO::Socket::IP) >= 0.18

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Carp|IO::Socket\\)$

%description
Client side module for debugging. This module is part of padre's debugger.

%prep
%setup -q -n Debug-Client-%{version}
%patch0 -p1
%patch1 -p1
# Removed bundled EE::MM
rm -r inc
sed -i -e '/^inc\//d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes eg
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 20 2013 Petr Pisar <ppisar@redhat.com> - 0.24-1
- 0.24 bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.20-2
- Perl 5.16 rebuild

* Tue Apr 10 2012 Marcela Mašláňová <mmaslano@redhat.com> - 0.20-1
- 0.20 bump

* Thu Mar 15 2012 Petr Pisar <ppisar@redhat.com> - 0.18-1
- 0.18 bump
- Correct dependencies

* Wed Jan 25 2012 Marcela Mašláňová <mmaslano@redhat.com> - 0.16-1
- update to 0.16
- clean specfile

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.11-7
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-5
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-4
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-3
- Mass rebuild with perl-5.12.0

* Fri Mar 19 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.11-2
- change to DESTDIR
- fix Description

* Mon Feb 08 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
